SDL_GetTrayEntryLabel(3)

NAME
SDL_GetTrayEntryLabel - Gets the label of an entry.

SYNOPSIS
#include <SDL3/SDL_tray.h>

const char * SDL_GetTrayEntryLabel(SDL_TrayEntry *entry);

DESCRIPTION
If the returned value is NULL, the entry is a separator.

FUNCTION PARAMETERS

entry
    the entry to be read.

RETURN VALUE
Returns the label of the entry in UTF-8 encoding.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTrayEntries(3), SDL_InsertTrayEntryAt(3), SDL_SetTrayEntryLabel(3)